Subject: [RFC PATCH] kernel/kallsyms.c: only show legal kernel symbol

From: [email-masked] (Rusty Russell)
Date: Thu, 31 Oct 2013 13:44:13 +1030

Russell King - ARM Linux <[email-masked]> writes:
> On Mon, Oct 28, 2013 at 04:20:19PM +1030, Rusty Russell wrote:
>> Ming Lei <[email-masked]> writes:
>> > On Mon, 28 Oct 2013 13:44:30 +1030
>> > Rusty Russell <[email-masked]> wrote:
>> >
>> >> Ming Lei <[email-masked]> writes:
>> >> 
>> >> I don't know...  It would be your job, as the person making the change,
>> >> to find all the users of kallsyms and prove that.
>> >> 
>> >> This is why it is easier not to include incorrect values in the kernel's
>> >> kallsyms in the first place.
>> >
>> > OK, thanks for your comment, and I figured out one way to do it in
>> > scripts/kallsyms.c, could you comment on below patch?
>> 
>> Looks great! Seems like we spent more time arguing than it took you to
>> code that up.
>> 
>> Acked-by: Rusty Russell <[email-masked]>
>> 
>> Russell, this seems logical for you to take along with the changes which
>> caused the problem?
>
> The changes are already in mainline since a long time (back in July/August
> time).  Am I the right person to take stuff for scripts/ ?  Isn't that
> more kbuild territory?

Kallsyms tends to fall between modules and scripts.  I assume it's not
urgent, so no cc:stable on this one.

Applied,
Rusty.